// getting down low..  
#ifndef dict_util_h
#define dict_util_h

extern "C" 
{
  // the main utilities
  int find_command(const char* cmd);
  void do_cmd(int cmd_index, char** args);
  void show_command_help(const char* opt_substr);

  // how calls are performed
  typedef bool (*func_t)(...);
  
  // what can be looked up
  typedef struct
  {
    const char* name;
    func_t func;
    int argc;
    const char* help;
  }dict_t;

  // the dictionary with function and help linkage
  extern dict_t dict[];
} // extern "C"

#endif // dict_util_h