#include "help_strings.h"

/* 
 * These are the help fields for each command
 */

const char* sortSlots_help =
  "  sortSlots $UIFILE\n"
  "    sorts the slots in a ui file for easier lookups of slots \n"
  "    in the signal slot editor\n"
  "\n";

const char* writeCpp_help =
  "  writeCpp $UIFILE\n"
  "    writes slot templates for the file named like the $UIFILE\n"
  "    but with the '.cpp' file extension.\n"
  "    \n";

const char* writeH_help =
  "  writeH $UIFILE\n"
  "    writes slot templates for the file named like the $UIFILE\n"
  "    but with the '.h' file extension.\n"
  "\n";

const char* listSlots_help =
  "  listSlots $UIFILE\n"
  "    Shows slots found in the $UIFILE\n"
  "\n";

const char* listSignals_help =  
  "  listSignals $UIFILE\n"
  "    Shows signals found in the $UIFILE\n"
  "\n";

const char* mocAble_help =  
    "  mocAble [$DIR]\n"
    "    Shows moc commands to build moc files.\n"
    "\n";

const char* uicAble_help =  
    "  uicAble [$DIR]\n"
    "    Shows uic commands to build ui files.\n"
    "    NOTE: Avoids the uic bug that sometimes generates bad #ifdef HEADERNAME_H\n"
    "    code (without the required 'UI_' prefix).\n"    
    "\n";

const char* rccAble_help =  
    "  rccAble [$DIR]\n"
    "    Shows rcc commands to build qrc files.\n"
    "\n";


const char* ui2cpp_help =  
    "  ui2cpp [$UIFILE]\n"
    "    Builds initial skeleton file from $UIFILE.  Type uitool ui2cpp --help\n"
    "    for more details.\n"
    "\n";
  
const char* qtCommands_help =  
    "  qtCommands [$DIR]\n"
    "    Shows all commands for building ui, moc, and qrc files.\n"
    "    NOTE: Run the ui2cpp function first to generate the files\n"
    "\n";


const char* help_help =
  "  help\n"
  "    Displays a simple help message\n"
    "\n";

const char* commands_help =
  "  commands [substr]\n"
  "    shows this list and usage notes.\n"
  "\n";
